uses testlib, sysutils;

const eps = 0.5e-8;

var n, i, ja, pa: longint;
    jx, px: extended;

begin
  ja := ans.readlongint;
  pa := ouf.readlongint;

  if ja <> pa then begin
    quit(_wa, format('Wrong number of answers: %d instead of %d', [pa, ja]));
  end;

  for i := 1 to ja do begin
    jx := ans.readreal;
    px := ouf.readreal;

    if abs(jx - px) > eps then begin
      quit(_wa, format('Wrong number %d: %f instead of %f', [i, px, jx]));
    end;
  end;

  n := inf.readlongint;
  quit(_ok, format('n=%d, ans=%d', [n, ja]));
end.